

<!DOCTYPE html>
<html lang="en" data-color-mode="auto" data-light-theme="light" data-dark-theme="dark">
  <head>
    <meta charset="utf-8">
  <link rel="dns-prefetch" href="https://github.githubassets.com">
  <link rel="dns-prefetch" href="https://avatars.githubusercontent.com">
  <link rel="dns-prefetch" href="https://github-cloud.s3.amazonaws.com">
  <link rel="dns-prefetch" href="https://user-images.githubusercontent.com/">



  <link crossorigin="anonymous" media="all" integrity="sha512-A+L9W9dNBl3cFfyOPPvFKFCki/TN1scCx/EsdP7ElFZsJ0Q8mF2yuSu+K/PR22duQQpLqg4Gow1NtTIP9D+FDA==" rel="stylesheet" href="https://github.githubassets.com/assets/frameworks-03e2fd5bd74d065ddc15fc8e3cfbc528.css" />
  <link crossorigin="anonymous" media="all" integrity="sha512-jaRxAk/R7Eq6XXtxt2dWYc6UfgT/Jk9zYWYh4UpAt5LFRnYVaWqEM3sPhUFL3fOBmHhHoOcn4wfLkMS21Q1yaw==" rel="stylesheet" href="https://github.githubassets.com/assets/site-8da471024fd1ec4aba5d7b71b7675661.css" />
    <link crossorigin="anonymous" media="all" integrity="sha512-borKrYrIAwbV70vaN9u0BQehniIwkGrKh4HGGEEtt816AZYw4epbX1IthRHd+5ESwLFaP5iSZHqJnqiJoLWuUA==" rel="stylesheet" href="https://github.githubassets.com/assets/behaviors-6e8acaad8ac80306d5ef4bda37dbb405.css" />
    
    
    
    <link crossorigin="anonymous" media="all" integrity="sha512-nxbYMoUb5uMl+Hru56vzzmzsHOujjFgphoLGjctbUV+j+jp50nuDiJqhg26CWMMPkVzImSxdkuXgz9ADqYUQGA==" rel="stylesheet" href="https://github.githubassets.com/assets/github-9f16d832851be6e325f87aeee7abf3ce.css" />

  <script crossorigin="anonymous" defer="defer" integrity="sha512-CzeY4A6TiG4fGZSWZU8FxmzFFmcQFoPpArF0hkH0/J/S7UL4eed/LKEXMQXfTwiG5yEJBI+9BdKG8KQJNbhcIQ==" type="application/javascript" src="https://github.githubassets.com/assets/environment-0b3798e0.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-eVqtArp3Ej98uK1eOmo1V5r3i6+fsx/2DzGlCV0bnh9XC/n3/b6IGgtnCiPkNf6wt6W5WgS5NK5uxK0qgVOZKA==" type="application/javascript" src="https://github.githubassets.com/assets/chunk-frameworks-795aad02.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-KVLDy088SMHjI+ix6flyOHW9r14IHNeSpty6zlppRxwh6mCOgAMrddDk08T03GkedOhWiSwQCT0qQ6k0xpD6AQ==" type="application/javascript" src="https://github.githubassets.com/assets/chunk-vendor-2952c3cb.js"></script>
  
  <script crossorigin="anonymous" defer="defer" integrity="sha512-VbAUpXo56hnWb02BAoJMvO5m2Nf8hxNFDB34K5OQctNsiRVw3USHPsOgjTOFKZTK6/r8Gy7FK3wpsDgt4eKqdA==" type="application/javascript" src="https://github.githubassets.com/assets/behaviors-55b014a5.js"></script>
  
    <script crossorigin="anonymous" defer="defer" integrity="sha512-tjuNQcwhEIXGvVIG4XM/Aj4z+Od+NBRkbgWNwEMjGL3nsnAmdoBdbzsn/WTvl3hk+TPt1D0BvBLHLBPgiwvT2w==" type="application/javascript" data-module-id="./chunk-animate-on-scroll.js" data-src="https://github.githubassets.com/assets/chunk-animate-on-scroll-b63b8d41.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-+BKEtK9JkmJ52jKSoX6+SBrGV6kJxB8J/iAPkFQ/oeq8YekNcz7IZlJgM5Tddyx1RrkL3+sdG0tAy3YuFbYqfA==" type="application/javascript" data-module-id="./chunk-codemirror.js" data-src="https://github.githubassets.com/assets/chunk-codemirror-f81284b4.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-SXIExRkA78ru95lnVy8pTP36kPC7hzl3VIKYLfpsc5uAPjCGkugvrynH4gHk7/pGQ2PP0930j37F1jkJm19ZFA==" type="application/javascript" data-module-id="./chunk-color-modes.js" data-src="https://github.githubassets.com/assets/chunk-color-modes-497204c5.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-pdU+0dSUNg8C/C0rvY/hQKGUA6xtw8eZnPBcYbnmv0dJnYzfll+wqlhXh85Le1vwAHrEHiWjO7i4mCrOk45vFA==" type="application/javascript" data-module-id="./chunk-contributions-spider-graph.js" data-src="https://github.githubassets.com/assets/chunk-contributions-spider-graph-a5d53ed1.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-6j/oSF+kbW+yetNPvI684VzAu9pzug6Vj2h+3u1LdCuRhR4jnuiHZfeQKls3nxcT/S3H+oIt7FtigE/aeoj+gg==" type="application/javascript" data-module-id="./chunk-drag-drop.js" data-src="https://github.githubassets.com/assets/chunk-drag-drop-ea3fe848.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-ymxyvUviKFi+en2si3ZTyY4YCLRKlk0cKK/ngD9ir8xoeH44pCE1I4MBRQE5PcErmUJMhlcAk3+pgwHB7VcseA==" type="application/javascript" data-module-id="./chunk-edit.js" data-src="https://github.githubassets.com/assets/chunk-edit-ca6c72bd.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-aiqMIGGZGo8AQMjcoImKPMTsZVVRl6htCSY7BpRmpGPG/AF+Wq+P/Oj/dthWQOIk9cCNMPEas7O2zAR6oqn0tA==" type="application/javascript" data-module-id="./chunk-emoji-picker-element.js" data-src="https://github.githubassets.com/assets/chunk-emoji-picker-element-6a2a8c20.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-DAk56F8lz8k6kg6vf15oE4tu4MTIPDT9DUo3VwO8SLYyb3ws4QU433BG7eVXOS50wzl7dUuMFRfTP1rHlHi45g==" type="application/javascript" data-module-id="./chunk-filter-input.js" data-src="https://github.githubassets.com/assets/chunk-filter-input-0c0939e8.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-HhlI/UeL8PBfWAKfRdEvSZsXecNwVZtDTt62hPJ1ZW0mXW0jqTTYXkbl4d+1M6xDVOTV3Jrjlu/iw+x/Oe94jA==" type="application/javascript" data-module-id="./chunk-insights-graph.js" data-src="https://github.githubassets.com/assets/chunk-insights-graph-1e1948fd.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-y/RxVCRT5fbOfBfcyuTKyUv73UxafrXeg1WlVzgv917RDgfz9NhxnwrTQHGLB21fhu1eyxH5kQA14OvIoEai2w==" type="application/javascript" data-module-id="./chunk-jump-to.js" data-src="https://github.githubassets.com/assets/chunk-jump-to-cbf47154.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-0vaFVLmAz28/Jh7tljD/7VR9/FfqBge727ssWIChKRwc8a+NHLAD+JegcPXUl0laekeDDFgh6BkMnwsC7EhfBA==" type="application/javascript" data-module-id="./chunk-notification-list-focus.js" data-src="https://github.githubassets.com/assets/chunk-notification-list-focus-d2f68554.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-ma0OOy3nj0c1cqBx0BkcmIFsLqcSZ+MIukQxyEFM/OWTzZpG+QMgOoWPAHZz43M6fyjAUG1jH6c/6LPiiKPCyw==" type="application/javascript" data-module-id="./chunk-profile-pins-element.js" data-src="https://github.githubassets.com/assets/chunk-profile-pins-element-99ad0e3b.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-Wr95ZePsYgWMAQBS2f+9rCIHbRWkJdxejM4qTAdI9ac62vqVxS4qqDyOiYkTnm5jCQShxZfycP8Cqu5/3FbT0A==" type="application/javascript" data-module-id="./chunk-ref-selector.js" data-src="https://github.githubassets.com/assets/chunk-ref-selector-5abf7965.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-RKDBOLoxDNml1bJmRSDXQtTrokUGS4JtUB+mBFHCZxVU29idFUB4jtR7V025vzXeUVyDGbNGmVFifER1hcClQg==" type="application/javascript" data-module-id="./chunk-responsive-underlinenav.js" data-src="https://github.githubassets.com/assets/chunk-responsive-underlinenav-44a0c138.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-9WNXtB07IyWypiPmkuucspwog4mme9q5GKGMSgd7FI0DPimmg/pEw+aaAofFV1vuWMt9I8H5QpsVtlbHGg1YBA==" type="application/javascript" data-module-id="./chunk-runner-groups.js" data-src="https://github.githubassets.com/assets/chunk-runner-groups-f56357b4.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-fIq9Mn7jY/bHQXnsmh+VejpDnaO+d/FDxsp+4CuZtdNLrLuO+dQCjh+m6Yd8GCYD2Cy6DWbCEyM+mH2dkB2H9A==" type="application/javascript" data-module-id="./chunk-sortable-behavior.js" data-src="https://github.githubassets.com/assets/chunk-sortable-behavior-7c8abd32.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-WK8VXw3lfUQ/VRW0zlgKPhcMUqH0uTnB/KzePUPdZhCm/HpxfXXHKTGvj5C0Oex7+zbIM2ECzULbtTCT4ug3yg==" type="application/javascript" data-module-id="./chunk-toast.js" data-src="https://github.githubassets.com/assets/chunk-toast-58af155f.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-vgHJEmEJxNmHucGbVY8bEUoOYo5/ZwpQ69rU8Dld89daWJ54uad9lNptxq32F8pnbHhdngw9lohNEbMbjmj5AQ==" type="application/javascript" data-module-id="./chunk-tweetsodium.js" data-src="https://github.githubassets.com/assets/chunk-tweetsodium-be01c912.js"></script>
    <script crossorigin="anonymous" defer="defer" integrity="sha512-Lg0w9SiJZsny/D8bssDDGlvoFQ2QbfZo5JAceu02elGSaxxuIdYOwguCOiPfQgvIf2woJ6iSA0NVm22yUFX5iA==" type="application/javascript" data-module-id="./chunk-user-status-submit.js" data-src="https://github.githubassets.com/assets/chunk-user-status-submit-2e0d30f5.js"></script>
  
  <script crossorigin="anonymous" defer="defer" integrity="sha512-whVcK76lw8W/BteWgYd47No0s4MJ1NWMqC0onbGmWP3dtkylJmI0keSVd3Zp9yG/BhHMbmXcdNTQoHNyuo3UOw==" type="application/javascript" src="https://github.githubassets.com/assets/search-c2155c2b.js"></script>

  <meta name="viewport" content="width=device-width">
  
  <title>Search · vcrpy · GitHub</title>
    <meta name="description" content="GitHub is where people build software. More than 56 million people use GitHub to discover, fork, and contribute to over 100 million projects.">
    <link rel="search" type="application/opensearchdescription+xml" href="/opensearch.xml" title="GitHub">
  <link rel="fluid-icon" href="https://github.com/fluidicon.png" title="GitHub">
  <meta property="fb:app_id" content="1401488693436528">
  <meta name="apple-itunes-app" content="app-id=1477376905" />
    <meta property="og:url" content="https://github.com">
    <meta property="og:site_name" content="GitHub">
    <meta property="og:title" content="Build software better, together">
    <meta property="og:description" content="GitHub is where people build software. More than 56 million people use GitHub to discover, fork, and contribute to over 100 million projects.">
    <meta property="og:image" content="https://github.githubassets.com/images/modules/open_graph/github-logo.png">
    <meta property="og:image:type" content="image/png">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="1200">
    <meta property="og:image" content="https://github.githubassets.com/images/modules/open_graph/github-mark.png">
    <meta property="og:image:type" content="image/png">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="620">
    <meta property="og:image" content="https://github.githubassets.com/images/modules/open_graph/github-octocat.png">
    <meta property="og:image:type" content="image/png">
    <meta property="og:image:width" content="1200">
    <meta property="og:image:height" content="620">

    <meta property="twitter:site" content="github">
    <meta property="twitter:site:id" content="13334762">
    <meta property="twitter:creator" content="github">
    <meta property="twitter:creator:id" content="13334762">
    <meta property="twitter:card" content="summary_large_image">
    <meta property="twitter:title" content="GitHub">
    <meta property="twitter:description" content="GitHub is where people build software. More than 56 million people use GitHub to discover, fork, and contribute to over 100 million projects.">
    <meta property="twitter:image:src" content="https://github.githubassets.com/images/modules/open_graph/github-logo.png">
    <meta property="twitter:image:width" content="1200">
    <meta property="twitter:image:height" content="1200">



    

  <link rel="assets" href="https://github.githubassets.com/">
  

  <meta name="request-id" content="E152:ACCD:5EC8B4:61EBBB:607999D0" data-pjax-transient="true"/><meta name="html-safe-nonce" content="c7f5e9ab8d549102b2e6de81f510f431881d9b09a1818ec027eae837cf15aed6" data-pjax-transient="true"/><meta name="visitor-payload" content="eyJyZWZlcnJlciI6IiIsInJlcXVlc3RfaWQiOiJFMTUyOkFDQ0Q6NUVDOEI0OjYxRUJCQjo2MDc5OTlEMCIsInZpc2l0b3JfaWQiOiI1NjU1MjI4MjQ1MzYwNjEzODQwIiwicmVnaW9uX2VkZ2UiOiJmcmEiLCJyZWdpb25fcmVuZGVyIjoiZnJhIn0=" data-pjax-transient="true"/><meta name="visitor-hmac" content="b00769bd9f3b00d2433704d99c5cb0ddb63f78879ee856112b0ea9949f15213a" data-pjax-transient="true"/>



  <meta name="github-keyboard-shortcuts" content="" data-pjax-transient="true" />

  

  <meta name="selected-link" value="code_search" data-pjax-transient>

    <meta name="google-site-verification" content="c1kuD-K2HIVF635lypcsWPoD4kilo5-jA_wBFyT4uMY">
  <meta name="google-site-verification" content="KT5gs8h0wvaagLKAVWq8bbeNwnZZK1r1XQysX3xurLU">
  <meta name="google-site-verification" content="ZzhVyEFwb7w3e0-uOTltm8Jsck2F5StVihD0exw2fsA">
  <meta name="google-site-verification" content="GXs5KoUUkNCoaAZn7wPN-t01Pywp9M3sEjnt_3_ZWPc">

  <meta name="octolytics-host" content="collector.githubapp.com" /><meta name="octolytics-app-id" content="github" /><meta name="octolytics-event-url" content="https://collector.githubapp.com/github-external/browser_event" />

  

  






  

      <meta name="hostname" content="github.com">
    <meta name="user-login" content="">


      <meta name="expected-hostname" content="github.com">


    <meta name="enabled-features" content="MARKETPLACE_PENDING_INSTALLATIONS,AUTOCOMPLETE_EMOJIS_IN_MARKDOWN_EDITOR">

  <meta http-equiv="x-pjax-version" content="6f3ae9dfdbb20f8418354752374448980a82e1422d671ef9b5592ec35858948c">
  

      <meta name="analytics-param-rename" content="q:ga-q" data-pjax-transient>





  <meta name="browser-stats-url" content="https://api.github.com/_private/browser/stats">

  <meta name="browser-errors-url" content="https://api.github.com/_private/browser/errors">

  <meta name="browser-optimizely-client-errors-url" content="https://api.github.com/_private/browser/optimizely_client/errors">

  <link rel="mask-icon" href="https://github.githubassets.com/pinned-octocat.svg" color="#000000">
  <link rel="alternate icon" class="js-site-favicon" type="image/png" href="https://github.githubassets.com/favicons/favicon.png">
  <link rel="icon" class="js-site-favicon" type="image/svg+xml" href="https://github.githubassets.com/favicons/favicon.svg">

<meta name="theme-color" content="#1e2327">
<meta name="color-scheme" content="light dark" />


  <link rel="manifest" href="/manifest.json" crossOrigin="use-credentials">

  </head>

  <body class="logged-out env-production page-responsive" style="word-wrap: break-word;">
    

    <div class="position-relative js-header-wrapper ">
      <a href="#start-of-content" class="px-2 py-4 color-bg-info-inverse color-text-white show-on-focus js-skip-to-content">Skip to content</a>
      <span class="progress-pjax-loader width-full js-pjax-loader-bar Progress position-fixed">
    <span style="background-color: #79b8ff;width: 0%;" class="Progress-item progress-pjax-loader-bar "></span>
</span>      
      


            <header class="Header-old header-logged-out js-details-container Details position-relative f4 py-2" role="banner">
  <div class="container-xl d-lg-flex flex-items-center p-responsive">
    <div class="d-flex flex-justify-between flex-items-center">
        <a class="mr-4" href="https://github.com/" aria-label="Homepage" data-ga-click="(Logged out) Header, go to homepage, icon:logo-wordmark">
          <svg height="32" class="octicon octicon-mark-github color-text-white" viewBox="0 0 16 16" version="1.1" width="32" aria-hidden="true"><path fill-rule="evenodd" d="M8 0C3.58 0 0 3.58 0 8c0 3.54 2.29 6.53 5.47 7.59.4.07.55-.17.55-.38 0-.19-.01-.82-.01-1.49-2.01.37-2.53-.49-2.69-.94-.09-.23-.48-.94-.82-1.13-.28-.15-.68-.52-.01-.53.63-.01 1.08.58 1.23.82.72 1.21 1.87.87 2.33.66.07-.52.28-.87.51-1.07-1.78-.2-3.64-.89-3.64-3.95 0-.87.31-1.59.82-2.15-.08-.2-.36-1.02.08-2.12 0 0 .67-.21 2.2.82.64-.18 1.32-.27 2-.27.68 0 1.36.09 2 .27 1.53-1.04 2.2-.82 2.2-.82.44 1.1.16 1.92.08 2.12.51.56.82 1.27.82 2.15 0 3.07-1.87 3.75-3.65 3.95.29.25.54.73.54 1.48 0 1.07-.01 1.93-.01 2.2 0 .21.15.46.55.38A8.013 8.013 0 0016 8c0-4.42-3.58-8-8-8z"></path></svg>
        </a>

          <div class="d-lg-none css-truncate css-truncate-target width-fit p-2">
            

          </div>

        <div class="d-flex flex-items-center">
              <a href="/join?ref_cta=Sign+up&amp;ref_loc=header+logged+out&amp;ref_page=%2Fsearch&amp;source=header"
                class="d-inline-block d-lg-none f5 color-text-white no-underline border color-border-tertiary rounded-2 px-2 py-1 mr-3 mr-sm-5 js-signup-redesign-control js-signup-redesign-target"
                data-hydro-click="{&quot;event_type&quot;:&quot;authentication.click&quot;,&quot;payload&quot;:{&quot;location_in_page&quot;:&quot;site header&quot;,&quot;repository_id&quot;:null,&quot;auth_type&quot;:&quot;SIGN_UP&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="79a3a165b9cc61cb54348883317963737cf66d863b1efe89cb407bb1b611250d"
              >
                Sign&nbsp;up
              </a>
              <a href="/join_next?ref_cta=Sign+up&amp;ref_loc=header+logged+out&amp;ref_page=%2Fsearch&amp;source=header"
                class="d-inline-block d-lg-none f5 color-text-white no-underline border color-border-tertiary rounded-2 px-2 py-1 mr-3 mr-sm-5 js-signup-redesign-variation js-signup-redesign-target"
                hidden
                data-hydro-click="{&quot;event_type&quot;:&quot;authentication.click&quot;,&quot;payload&quot;:{&quot;location_in_page&quot;:&quot;site header&quot;,&quot;repository_id&quot;:null,&quot;auth_type&quot;:&quot;SIGN_UP&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="79a3a165b9cc61cb54348883317963737cf66d863b1efe89cb407bb1b611250d"
              >
                Sign&nbsp;up
              </a>

          <button class="btn-link d-lg-none mt-1 js-details-target" type="button" aria-label="Toggle navigation" aria-expanded="false">
            <svg height="24" class="octicon octicon-three-bars color-text-white" viewBox="0 0 16 16" version="1.1" width="24" aria-hidden="true"><path fill-rule="evenodd" d="M1 2.75A.75.75 0 011.75 2h12.5a.75.75 0 110 1.5H1.75A.75.75 0 011 2.75zm0 5A.75.75 0 011.75 7h12.5a.75.75 0 110 1.5H1.75A.75.75 0 011 7.75zM1.75 12a.75.75 0 100 1.5h12.5a.75.75 0 100-1.5H1.75z"></path></svg>
          </button>
        </div>
    </div>

    <div class="HeaderMenu HeaderMenu--logged-out position-fixed top-0 right-0 bottom-0 height-fit position-lg-relative d-lg-flex flex-justify-between flex-items-center flex-auto">
      <div class="d-flex d-lg-none flex-justify-end border-bottom color-bg-secondary p-3">
        <button class="btn-link js-details-target" type="button" aria-label="Toggle navigation" aria-expanded="false">
          <svg height="24" class="octicon octicon-x color-text-secondary" viewBox="0 0 24 24" version="1.1" width="24" aria-hidden="true"><path fill-rule="evenodd" d="M5.72 5.72a.75.75 0 011.06 0L12 10.94l5.22-5.22a.75.75 0 111.06 1.06L13.06 12l5.22 5.22a.75.75 0 11-1.06 1.06L12 13.06l-5.22 5.22a.75.75 0 01-1.06-1.06L10.94 12 5.72 6.78a.75.75 0 010-1.06z"></path></svg>
        </button>
      </div>

        <nav class="mt-0 px-3 px-lg-0 mb-5 mb-lg-0" aria-label="Global">
          <ul class="d-lg-flex list-style-none">
              <li class="d-block d-lg-flex flex-lg-nowrap flex-lg-items-center border-bottom border-lg-bottom-0 mr-0 mr-lg-3 edge-item-fix position-relative flex-wrap flex-justify-between d-flex flex-items-center ">
                <details class="HeaderMenu-details details-overlay details-reset width-full">
                  <summary class="HeaderMenu-summary HeaderMenu-link px-0 py-3 border-0 no-wrap d-block d-lg-inline-block">
                    Why GitHub?
                    <svg x="0px" y="0px" viewBox="0 0 14 8" xml:space="preserve" fill="none" class="icon-chevon-down-mktg position-absolute position-lg-relative">
                      <path d="M1,1l6.2,6L13,1"></path>
                    </svg>
                  </summary>
                  <div class="dropdown-menu flex-auto rounded px-0 mt-0 pb-4 p-lg-4 position-relative position-lg-absolute left-0 left-lg-n4">
                    <a href="/features" class="py-2 lh-condensed-ultra d-block Link--primary no-underline h5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Features">Features <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a>
                    <ul class="list-style-none f5 pb-3">
                        <li class="edge-item-fix"><a href="/mobile" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Mobile <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/actions" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Actions <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/codespaces" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Codespaces <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/packages" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Packages <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/security" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Security <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/code-review/" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Code review <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/project-management/" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Project management <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/features/integrations" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">Integrations <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>

                    <ul class="list-style-none mb-0 border-lg-top pt-lg-3">
                      <li class="edge-item-fix"><a href="/sponsors" class="py-2 lh-condensed-ultra d-block no-underline Link--primary no-underline h5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Sponsors">GitHub Sponsors <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="/customer-stories" class="py-2 lh-condensed-ultra d-block no-underline Link--primary no-underline h5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Customer stories">Customer stories<span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>
                  </div>
                </details>
              </li>
              <li class="border-bottom border-lg-bottom-0 mr-0 mr-lg-3">
                <a href="/team" class="HeaderMenu-link no-underline py-3 d-block d-lg-inline-block" data-ga-click="(Logged out) Header, go to Team">Team</a>
              </li>
              <li class="border-bottom border-lg-bottom-0 mr-0 mr-lg-3">
                <a href="/enterprise" class="HeaderMenu-link no-underline py-3 d-block d-lg-inline-block" data-ga-click="(Logged out) Header, go to Enterprise">Enterprise</a>
              </li>

              <li class="d-block d-lg-flex flex-lg-nowrap flex-lg-items-center border-bottom border-lg-bottom-0 mr-0 mr-lg-3 edge-item-fix position-relative flex-wrap flex-justify-between d-flex flex-items-center ">
                <details class="HeaderMenu-details details-overlay details-reset width-full">
                  <summary class="HeaderMenu-summary HeaderMenu-link px-0 py-3 border-0 no-wrap d-block d-lg-inline-block">
                    Explore
                    <svg x="0px" y="0px" viewBox="0 0 14 8" xml:space="preserve" fill="none" class="icon-chevon-down-mktg position-absolute position-lg-relative">
                      <path d="M1,1l6.2,6L13,1"></path>
                    </svg>
                  </summary>

                  <div class="dropdown-menu flex-auto rounded px-0 pt-2 pb-0 mt-0 pb-4 p-lg-4 position-relative position-lg-absolute left-0 left-lg-n4">
                    <ul class="list-style-none mb-3">
                      <li class="edge-item-fix"><a href="/explore" class="py-2 lh-condensed-ultra d-block Link--primary no-underline h5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Explore">Explore GitHub <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>

                    <h4 class="color-text-tertiary text-normal text-mono f5 mb-2 border-lg-top pt-lg-3">Learn and contribute</h4>
                    <ul class="list-style-none mb-3">
                      <li class="edge-item-fix"><a href="/topics" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Topics">Topics <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                        <li class="edge-item-fix"><a href="/collections" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Collections">Collections <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="/trending" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Trending">Trending <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://lab.github.com/" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Learning lab">Learning Lab <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://opensource.guide" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Open source guides">Open source guides <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>

                    <h4 class="color-text-tertiary text-normal text-mono f5 mb-2 border-lg-top pt-lg-3">Connect with others</h4>
                    <ul class="list-style-none mb-0">
                      <li class="edge-item-fix"><a href="https://github.com/readme" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover">The ReadME Project <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://github.com/events" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Events">Events <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://github.community" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Community forum">Community forum <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://education.github.com" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to GitHub Education">GitHub Education <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://stars.github.com" class="py-2 pb-0 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to GitHub Stars Program">GitHub Stars program <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>
                  </div>
                </details>
              </li>

              <li class="border-bottom border-lg-bottom-0 mr-0 mr-lg-3">
                <a href="/marketplace" class="HeaderMenu-link no-underline py-3 d-block d-lg-inline-block" data-ga-click="(Logged out) Header, go to Marketplace">Marketplace</a>
              </li>

              <li class="d-block d-lg-flex flex-lg-nowrap flex-lg-items-center border-bottom border-lg-bottom-0 mr-0 mr-lg-3 edge-item-fix position-relative flex-wrap flex-justify-between d-flex flex-items-center ">
                <details class="HeaderMenu-details details-overlay details-reset width-full">
                  <summary class="HeaderMenu-summary HeaderMenu-link px-0 py-3 border-0 no-wrap d-block d-lg-inline-block">
                    Pricing
                    <svg x="0px" y="0px" viewBox="0 0 14 8" xml:space="preserve" fill="none" class="icon-chevon-down-mktg position-absolute position-lg-relative">
                       <path d="M1,1l6.2,6L13,1"></path>
                    </svg>
                  </summary>

                  <div class="dropdown-menu flex-auto rounded px-0 pt-2 pb-4 mt-0 p-lg-4 position-relative position-lg-absolute left-0 left-lg-n4">
                    <a href="/pricing" class="pb-2 lh-condensed-ultra d-block Link--primary no-underline h5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Pricing">Plans <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a>

                    <ul class="list-style-none mb-3">
                      <li class="edge-item-fix"><a href="/pricing#feature-comparison" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Compare plans">Compare plans <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                      <li class="edge-item-fix"><a href="https://enterprise.github.com/contact" class="py-2 lh-condensed-ultra d-block Link--secondary no-underline f5 Bump-link--hover" data-ga-click="(Logged out) Header, go to Contact Sales">Contact Sales <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>

                    <ul class="list-style-none mb-0 border-lg-top pt-lg-3">
                      <li class="edge-item-fix"><a href="https://education.github.com" class="py-2 pb-0 lh-condensed-ultra d-block no-underline Link--primary no-underline h5 Bump-link--hover"  data-ga-click="(Logged out) Header, go to Education">Education <span class="Bump-link-symbol float-right text-normal color-text-tertiary pr-3">&rarr;</span></a></li>
                    </ul>
                  </div>
                </details>
              </li>
          </ul>
        </nav>

      <div class="d-lg-flex flex-items-center px-3 px-lg-0 text-center text-lg-left">
          <div class="d-lg-flex min-width-0 mb-3 mb-lg-0">
            <div class="header-search flex-auto js-site-search position-relative flex-self-stretch flex-md-self-auto mb-3 mb-md-0 mr-0 mr-md-3 js-jump-to"
  role="combobox"
  aria-owns="jump-to-results"
  aria-label="Search or jump to"
  aria-haspopup="listbox"
  aria-expanded="false"
>
  <div class="position-relative">
    <!-- '"` --><!-- </textarea></xmp> --></option></form><form class="js-site-search-form" role="search" aria-label="Site" data-unscoped-search-url="/search" action="/search" accept-charset="UTF-8" method="get">
      <label class="form-control input-sm header-search-wrapper p-0 js-chromeless-input-container header-search-wrapper-jump-to position-relative d-flex flex-justify-between flex-items-center">
        <input type="text"
          class="form-control input-sm header-search-input jump-to-field js-jump-to-field js-site-search-focus "
          data-hotkey="s,/"
          name="q"
          value="vcrpy"
          placeholder="Search GitHub"
          data-unscoped-placeholder="Search GitHub"
          data-scoped-placeholder="Search"
          autocapitalize="off"
          aria-autocomplete="list"
          aria-controls="jump-to-results"
          aria-label="Search GitHub"
          data-jump-to-suggestions-path="/_graphql/GetSuggestedNavigationDestinations"
          spellcheck="false"
          autocomplete="off"
          >
          <input type="hidden" data-csrf="true" class="js-data-jump-to-suggestions-path-csrf" value="JuJamyApfoU1IT/oxwYbqnpG6PtHpJd9MPcS0Urmagft2vRCjOq8C5iQiuq47VSKnw6m8yUpP/p5rNAv0SmjJw==" />
          <input type="hidden" class="js-site-search-type-field" name="type" >
            <img src="https://github.githubassets.com/images/search-key-slash.svg" alt="" class="mr-2 header-search-key-slash">

            <div class="Box position-absolute overflow-hidden d-none jump-to-suggestions js-jump-to-suggestions-container">
              
<ul class="d-none js-jump-to-suggestions-template-container">
  

<li class="d-flex flex-justify-start flex-items-center p-0 f5 navigation-item js-navigation-item js-jump-to-suggestion" role="option">
  <a tabindex="-1" class="no-underline d-flex flex-auto flex-items-center jump-to-suggestions-path js-jump-to-suggestion-path js-navigation-open p-2" href="" data-item-type="suggestion">
    <div class="jump-to-octicon js-jump-to-octicon flex-shrink-0 mr-2 text-center d-none">
      <svg height="16" width="16" class="octicon octicon-repo flex-shrink-0 js-jump-to-octicon-repo d-none" title="Repository" aria-label="Repository" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M2 2.5A2.5 2.5 0 014.5 0h8.75a.75.75 0 01.75.75v12.5a.75.75 0 01-.75.75h-2.5a.75.75 0 110-1.5h1.75v-2h-8a1 1 0 00-.714 1.7.75.75 0 01-1.072 1.05A2.495 2.495 0 012 11.5v-9zm10.5-1V9h-8c-.356 0-.694.074-1 .208V2.5a1 1 0 011-1h8zM5 12.25v3.25a.25.25 0 00.4.2l1.45-1.087a.25.25 0 01.3 0L8.6 15.7a.25.25 0 00.4-.2v-3.25a.25.25 0 00-.25-.25h-3.5a.25.25 0 00-.25.25z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-project flex-shrink-0 js-jump-to-octicon-project d-none" title="Project" aria-label="Project" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M1.75 0A1.75 1.75 0 000 1.75v12.5C0 15.216.784 16 1.75 16h12.5A1.75 1.75 0 0016 14.25V1.75A1.75 1.75 0 0014.25 0H1.75zM1.5 1.75a.25.25 0 01.25-.25h12.5a.25.25 0 01.25.25v12.5a.25.25 0 01-.25.25H1.75a.25.25 0 01-.25-.25V1.75zM11.75 3a.75.75 0 00-.75.75v7.5a.75.75 0 001.5 0v-7.5a.75.75 0 00-.75-.75zm-8.25.75a.75.75 0 011.5 0v5.5a.75.75 0 01-1.5 0v-5.5zM8 3a.75.75 0 00-.75.75v3.5a.75.75 0 001.5 0v-3.5A.75.75 0 008 3z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-search flex-shrink-0 js-jump-to-octicon-search d-none" title="Search" aria-label="Search" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M11.5 7a4.499 4.499 0 11-8.998 0A4.499 4.499 0 0111.5 7zm-.82 4.74a6 6 0 111.06-1.06l3.04 3.04a.75.75 0 11-1.06 1.06l-3.04-3.04z"></path></svg>
    </div>

    <img class="avatar mr-2 flex-shrink-0 js-jump-to-suggestion-avatar d-none" alt="" aria-label="Team" src="" width="28" height="28">

    <div class="jump-to-suggestion-name js-jump-to-suggestion-name flex-auto overflow-hidden text-left no-wrap css-truncate css-truncate-target">
    </div>

    <div class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none js-jump-to-badge-search">
      <span class="js-jump-to-badge-search-text-default d-none" aria-label="in all of GitHub">
        Search
      </span>
      <span class="js-jump-to-badge-search-text-global d-none" aria-label="in all of GitHub">
        All GitHub
      </span>
      <span aria-hidden="true" class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>

    <div aria-hidden="true" class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none d-on-nav-focus js-jump-to-badge-jump">
      Jump to
      <span class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>
  </a>
</li>

</ul>

<ul class="d-none js-jump-to-no-results-template-container">
  <li class="d-flex flex-justify-center flex-items-center f5 d-none js-jump-to-suggestion p-2">
    <span class="color-text-secondary">No suggested jump to results</span>
  </li>
</ul>

<ul id="jump-to-results" role="listbox" class="p-0 m-0 js-navigation-container jump-to-suggestions-results-container js-jump-to-suggestions-results-container">
  

<li class="d-flex flex-justify-start flex-items-center p-0 f5 navigation-item js-navigation-item js-jump-to-scoped-search d-none" role="option">
  <a tabindex="-1" class="no-underline d-flex flex-auto flex-items-center jump-to-suggestions-path js-jump-to-suggestion-path js-navigation-open p-2" href="" data-item-type="scoped_search">
    <div class="jump-to-octicon js-jump-to-octicon flex-shrink-0 mr-2 text-center d-none">
      <svg height="16" width="16" class="octicon octicon-repo flex-shrink-0 js-jump-to-octicon-repo d-none" title="Repository" aria-label="Repository" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M2 2.5A2.5 2.5 0 014.5 0h8.75a.75.75 0 01.75.75v12.5a.75.75 0 01-.75.75h-2.5a.75.75 0 110-1.5h1.75v-2h-8a1 1 0 00-.714 1.7.75.75 0 01-1.072 1.05A2.495 2.495 0 012 11.5v-9zm10.5-1V9h-8c-.356 0-.694.074-1 .208V2.5a1 1 0 011-1h8zM5 12.25v3.25a.25.25 0 00.4.2l1.45-1.087a.25.25 0 01.3 0L8.6 15.7a.25.25 0 00.4-.2v-3.25a.25.25 0 00-.25-.25h-3.5a.25.25 0 00-.25.25z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-project flex-shrink-0 js-jump-to-octicon-project d-none" title="Project" aria-label="Project" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M1.75 0A1.75 1.75 0 000 1.75v12.5C0 15.216.784 16 1.75 16h12.5A1.75 1.75 0 0016 14.25V1.75A1.75 1.75 0 0014.25 0H1.75zM1.5 1.75a.25.25 0 01.25-.25h12.5a.25.25 0 01.25.25v12.5a.25.25 0 01-.25.25H1.75a.25.25 0 01-.25-.25V1.75zM11.75 3a.75.75 0 00-.75.75v7.5a.75.75 0 001.5 0v-7.5a.75.75 0 00-.75-.75zm-8.25.75a.75.75 0 011.5 0v5.5a.75.75 0 01-1.5 0v-5.5zM8 3a.75.75 0 00-.75.75v3.5a.75.75 0 001.5 0v-3.5A.75.75 0 008 3z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-search flex-shrink-0 js-jump-to-octicon-search d-none" title="Search" aria-label="Search" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M11.5 7a4.499 4.499 0 11-8.998 0A4.499 4.499 0 0111.5 7zm-.82 4.74a6 6 0 111.06-1.06l3.04 3.04a.75.75 0 11-1.06 1.06l-3.04-3.04z"></path></svg>
    </div>

    <img class="avatar mr-2 flex-shrink-0 js-jump-to-suggestion-avatar d-none" alt="" aria-label="Team" src="" width="28" height="28">

    <div class="jump-to-suggestion-name js-jump-to-suggestion-name flex-auto overflow-hidden text-left no-wrap css-truncate css-truncate-target">
    </div>

    <div class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none js-jump-to-badge-search">
      <span class="js-jump-to-badge-search-text-default d-none" aria-label="in all of GitHub">
        Search
      </span>
      <span class="js-jump-to-badge-search-text-global d-none" aria-label="in all of GitHub">
        All GitHub
      </span>
      <span aria-hidden="true" class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>

    <div aria-hidden="true" class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none d-on-nav-focus js-jump-to-badge-jump">
      Jump to
      <span class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>
  </a>
</li>

  

<li class="d-flex flex-justify-start flex-items-center p-0 f5 navigation-item js-navigation-item js-jump-to-owner-scoped-search d-none" role="option">
  <a tabindex="-1" class="no-underline d-flex flex-auto flex-items-center jump-to-suggestions-path js-jump-to-suggestion-path js-navigation-open p-2" href="" data-item-type="owner_scoped_search">
    <div class="jump-to-octicon js-jump-to-octicon flex-shrink-0 mr-2 text-center d-none">
      <svg height="16" width="16" class="octicon octicon-repo flex-shrink-0 js-jump-to-octicon-repo d-none" title="Repository" aria-label="Repository" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M2 2.5A2.5 2.5 0 014.5 0h8.75a.75.75 0 01.75.75v12.5a.75.75 0 01-.75.75h-2.5a.75.75 0 110-1.5h1.75v-2h-8a1 1 0 00-.714 1.7.75.75 0 01-1.072 1.05A2.495 2.495 0 012 11.5v-9zm10.5-1V9h-8c-.356 0-.694.074-1 .208V2.5a1 1 0 011-1h8zM5 12.25v3.25a.25.25 0 00.4.2l1.45-1.087a.25.25 0 01.3 0L8.6 15.7a.25.25 0 00.4-.2v-3.25a.25.25 0 00-.25-.25h-3.5a.25.25 0 00-.25.25z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-project flex-shrink-0 js-jump-to-octicon-project d-none" title="Project" aria-label="Project" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M1.75 0A1.75 1.75 0 000 1.75v12.5C0 15.216.784 16 1.75 16h12.5A1.75 1.75 0 0016 14.25V1.75A1.75 1.75 0 0014.25 0H1.75zM1.5 1.75a.25.25 0 01.25-.25h12.5a.25.25 0 01.25.25v12.5a.25.25 0 01-.25.25H1.75a.25.25 0 01-.25-.25V1.75zM11.75 3a.75.75 0 00-.75.75v7.5a.75.75 0 001.5 0v-7.5a.75.75 0 00-.75-.75zm-8.25.75a.75.75 0 011.5 0v5.5a.75.75 0 01-1.5 0v-5.5zM8 3a.75.75 0 00-.75.75v3.5a.75.75 0 001.5 0v-3.5A.75.75 0 008 3z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-search flex-shrink-0 js-jump-to-octicon-search d-none" title="Search" aria-label="Search" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M11.5 7a4.499 4.499 0 11-8.998 0A4.499 4.499 0 0111.5 7zm-.82 4.74a6 6 0 111.06-1.06l3.04 3.04a.75.75 0 11-1.06 1.06l-3.04-3.04z"></path></svg>
    </div>

    <img class="avatar mr-2 flex-shrink-0 js-jump-to-suggestion-avatar d-none" alt="" aria-label="Team" src="" width="28" height="28">

    <div class="jump-to-suggestion-name js-jump-to-suggestion-name flex-auto overflow-hidden text-left no-wrap css-truncate css-truncate-target">
    </div>

    <div class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none js-jump-to-badge-search">
      <span class="js-jump-to-badge-search-text-default d-none" aria-label="in all of GitHub">
        Search
      </span>
      <span class="js-jump-to-badge-search-text-global d-none" aria-label="in all of GitHub">
        All GitHub
      </span>
      <span aria-hidden="true" class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>

    <div aria-hidden="true" class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none d-on-nav-focus js-jump-to-badge-jump">
      Jump to
      <span class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>
  </a>
</li>

  

<li class="d-flex flex-justify-start flex-items-center p-0 f5 navigation-item js-navigation-item js-jump-to-global-search d-none" role="option">
  <a tabindex="-1" class="no-underline d-flex flex-auto flex-items-center jump-to-suggestions-path js-jump-to-suggestion-path js-navigation-open p-2" href="" data-item-type="global_search">
    <div class="jump-to-octicon js-jump-to-octicon flex-shrink-0 mr-2 text-center d-none">
      <svg height="16" width="16" class="octicon octicon-repo flex-shrink-0 js-jump-to-octicon-repo d-none" title="Repository" aria-label="Repository" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M2 2.5A2.5 2.5 0 014.5 0h8.75a.75.75 0 01.75.75v12.5a.75.75 0 01-.75.75h-2.5a.75.75 0 110-1.5h1.75v-2h-8a1 1 0 00-.714 1.7.75.75 0 01-1.072 1.05A2.495 2.495 0 012 11.5v-9zm10.5-1V9h-8c-.356 0-.694.074-1 .208V2.5a1 1 0 011-1h8zM5 12.25v3.25a.25.25 0 00.4.2l1.45-1.087a.25.25 0 01.3 0L8.6 15.7a.25.25 0 00.4-.2v-3.25a.25.25 0 00-.25-.25h-3.5a.25.25 0 00-.25.25z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-project flex-shrink-0 js-jump-to-octicon-project d-none" title="Project" aria-label="Project" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M1.75 0A1.75 1.75 0 000 1.75v12.5C0 15.216.784 16 1.75 16h12.5A1.75 1.75 0 0016 14.25V1.75A1.75 1.75 0 0014.25 0H1.75zM1.5 1.75a.25.25 0 01.25-.25h12.5a.25.25 0 01.25.25v12.5a.25.25 0 01-.25.25H1.75a.25.25 0 01-.25-.25V1.75zM11.75 3a.75.75 0 00-.75.75v7.5a.75.75 0 001.5 0v-7.5a.75.75 0 00-.75-.75zm-8.25.75a.75.75 0 011.5 0v5.5a.75.75 0 01-1.5 0v-5.5zM8 3a.75.75 0 00-.75.75v3.5a.75.75 0 001.5 0v-3.5A.75.75 0 008 3z"></path></svg>
      <svg height="16" width="16" class="octicon octicon-search flex-shrink-0 js-jump-to-octicon-search d-none" title="Search" aria-label="Search" viewBox="0 0 16 16" version="1.1" role="img"><path fill-rule="evenodd" d="M11.5 7a4.499 4.499 0 11-8.998 0A4.499 4.499 0 0111.5 7zm-.82 4.74a6 6 0 111.06-1.06l3.04 3.04a.75.75 0 11-1.06 1.06l-3.04-3.04z"></path></svg>
    </div>

    <img class="avatar mr-2 flex-shrink-0 js-jump-to-suggestion-avatar d-none" alt="" aria-label="Team" src="" width="28" height="28">

    <div class="jump-to-suggestion-name js-jump-to-suggestion-name flex-auto overflow-hidden text-left no-wrap css-truncate css-truncate-target">
    </div>

    <div class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none js-jump-to-badge-search">
      <span class="js-jump-to-badge-search-text-default d-none" aria-label="in all of GitHub">
        Search
      </span>
      <span class="js-jump-to-badge-search-text-global d-none" aria-label="in all of GitHub">
        All GitHub
      </span>
      <span aria-hidden="true" class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>

    <div aria-hidden="true" class="border rounded-1 flex-shrink-0 color-bg-tertiary px-1 color-text-tertiary ml-1 f6 d-none d-on-nav-focus js-jump-to-badge-jump">
      Jump to
      <span class="d-inline-block ml-1 v-align-middle">↵</span>
    </div>
  </a>
</li>


</ul>

            </div>
      </label>
</form>  </div>
</div>

          </div>

        <a href="/login?return_to=%2Fsearch%3Fp%3D1%26q%3Dvcrpy%26type%3DWikis"
          class="HeaderMenu-link flex-shrink-0 no-underline mr-3"
          data-hydro-click="{&quot;event_type&quot;:&quot;authentication.click&quot;,&quot;payload&quot;:{&quot;location_in_page&quot;:&quot;site header menu&quot;,&quot;repository_id&quot;:null,&quot;auth_type&quot;:&quot;SIGN_UP&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="a0ecc8026ff0cec9380a926c6e15de5e06e713f89479f0efbbdbb66f85edfdc5"
          data-ga-click="(Logged out) Header, clicked Sign in, text:sign-in">
          Sign in
        </a>
            <a href="/join?ref_cta=Sign+up&amp;ref_loc=header+logged+out&amp;ref_page=%2Fsearch&amp;source=header"
              class="HeaderMenu-link flex-shrink-0 d-inline-block no-underline border color-border-tertiary rounded px-2 py-1 js-signup-redesign-target js-signup-redesign-control"
              data-hydro-click="{&quot;event_type&quot;:&quot;authentication.click&quot;,&quot;payload&quot;:{&quot;location_in_page&quot;:&quot;site header menu&quot;,&quot;repository_id&quot;:null,&quot;auth_type&quot;:&quot;SIGN_UP&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="a0ecc8026ff0cec9380a926c6e15de5e06e713f89479f0efbbdbb66f85edfdc5"
              data-hydro-click="{&quot;event_type&quot;:&quot;analytics.click&quot;,&quot;payload&quot;:{&quot;category&quot;:&quot;Sign up&quot;,&quot;action&quot;:&quot;click to sign up for account&quot;,&quot;label&quot;:&quot;ref_page:/search;ref_cta:Sign up;ref_loc:header logged out&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="c4950eacff426a4dcfc5642e0bf34c6b442aa430f47a8c183fb2f2035491ff97"
            >
              Sign up
            </a>
            <a href="/join_next?ref_cta=Sign+up&amp;ref_loc=header+logged+out&amp;ref_page=%2Fsearch&amp;source=header"
              class="HeaderMenu-link flex-shrink-0 d-inline-block no-underline border color-border-tertiary rounded-1 px-2 py-1 js-signup-redesign-target js-signup-redesign-variation"
              hidden
              data-hydro-click="{&quot;event_type&quot;:&quot;authentication.click&quot;,&quot;payload&quot;:{&quot;location_in_page&quot;:&quot;site header menu&quot;,&quot;repository_id&quot;:null,&quot;auth_type&quot;:&quot;SIGN_UP&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="a0ecc8026ff0cec9380a926c6e15de5e06e713f89479f0efbbdbb66f85edfdc5"
              data-hydro-click="{&quot;event_type&quot;:&quot;analytics.click&quot;,&quot;payload&quot;:{&quot;category&quot;:&quot;Sign up&quot;,&quot;action&quot;:&quot;click to sign up for account&quot;,&quot;label&quot;:&quot;ref_page:/search;ref_cta:Sign up;ref_loc:header logged out&quot;,&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="c4950eacff426a4dcfc5642e0bf34c6b442aa430f47a8c183fb2f2035491ff97"
            >
              Sign up
            </a>
      </div>
    </div>
  </div>
</header>

    </div>

  <div id="start-of-content" class="show-on-focus"></div>





    <div data-pjax-replace id="js-flash-container">


  <template class="js-flash-template">
    <div class="flash flash-full  {{ className }}">
  <div class=" px-2" >
    <button class="flash-close js-flash-close" type="button" aria-label="Dismiss this message">
      <svg class="octicon octicon-x" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M3.72 3.72a.75.75 0 011.06 0L8 6.94l3.22-3.22a.75.75 0 111.06 1.06L9.06 8l3.22 3.22a.75.75 0 11-1.06 1.06L8 9.06l-3.22 3.22a.75.75 0 01-1.06-1.06L6.94 8 3.72 4.78a.75.75 0 010-1.06z"></path></svg>
    </button>
    
      <div>{{ message }}</div>

  </div>
</div>
  </template>
</div>


    

  <include-fragment class="js-notification-shelf-include-fragment" data-base-src="https://github.com/notifications/beta/shelf"></include-fragment>




  <div
    class="application-main "
    data-commit-hovercards-enabled
    data-discussion-hovercards-enabled
    data-issue-and-pr-hovercards-enabled
  >
      <main id="js-pjax-container" data-pjax-container>
        


    <div class="container-lg px-md-2 mt-lg-4 clearfix">
    <div class="col-12 px-2 py-2 py-md-3 d-lg-none d-flex">
      <div class="d-flex flex-auto">
        <!-- '"` --><!-- </textarea></xmp> --></option></form><form class="js-site-search-form flex-auto" action="/search" accept-charset="UTF-8" method="get">
          <input
            aria-label="Search GitHub"
            autocapitalize="off"
            autocomplete="off"
            autofocus
            class="form-control input-block"
            name="q"
            placeholder="Search GitHub"
            spellcheck="false"
            type="text"
            value="vcrpy"
          >
          <input type="hidden" class="js-site-search-type-field" name="type">
        </div>
        <button class="btn ml-2 d-none d-md-block" type="submit">Search</button>
</form>    </div>

    <div class="col-12 col-md-3 float-left px-md-2">
      <nav class="menu border d-none d-md-block" data-pjax>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=repositories">Repositories<span class="ml-1 js-codesearch-count Counter Counter--primary" data-search-type="Repositories">14</span></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=code">Code<include-fragment src="https://github.com/search/count?p=1&amp;q=vcrpy&amp;type=Code"></include-fragment></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=commits">Commits<span class="ml-1 js-codesearch-count Counter Counter--primary" data-search-type="Commits">2K</span></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=issues">Issues<include-fragment src="https://github.com/search/count?p=1&amp;q=vcrpy&amp;type=Issues"></include-fragment></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=discussions"><span>Discussions<span title="Feature Release Label: Beta" class="Label Label--success Label--inline ml-2 text-normal f6 px-1">Beta</span></span><include-fragment src="https://github.com/search/count?p=1&amp;q=vcrpy&amp;type=Discussions"></include-fragment></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=registrypackages">Packages<include-fragment src="https://github.com/search/count?p=1&amp;q=vcrpy&amp;type=RegistryPackages"></include-fragment></a>
            <a class="menu-item" href="/search?q=vcrpy&amp;type=marketplace">Marketplace<span class="ml-1 js-codesearch-count Counter" data-search-type="Marketplace">0</span></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=topics">Topics<include-fragment src="https://github.com/search/count?p=1&amp;q=vcrpy&amp;type=Topics"></include-fragment></a>
          <a class="menu-item selected" href="/search?q=vcrpy&amp;type=wikis">Wikis<span class="ml-1 js-codesearch-count Counter Counter--primary" data-search-type="Wikis">14</span></a>
          <a class="menu-item" href="/search?q=vcrpy&amp;type=users">Users<include-fragment src="https://github.com/search/count?p=1&amp;q=vcrpy&amp;type=Users"></include-fragment></a>
      </nav>

      <nav class="UnderlineNav UnderlineNav--full d-md-none mb-2 border-top" data-pjax>
        <div class="UnderlineNav-container">
          <div class="UnderlineNav-body js-codesearch-nav overflow-auto">
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=repositories">Repositories<span class="ml-1 js-codesearch-count Counter Counter--primary" data-search-type="Repositories">14</span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=code">Code<span class="d-none js-codesearch-deferred-count" data-search-type="Code"></span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=commits">Commits<span class="ml-1 js-codesearch-count Counter Counter--primary" data-search-type="Commits">2K</span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=issues">Issues<span class="d-none js-codesearch-deferred-count" data-search-type="Issues"></span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=discussions"><span>Discussions<span title="Feature Release Label: Beta" class="Label Label--success Label--inline ml-2 text-normal f6 px-1">Beta</span></span><span class="d-none js-codesearch-deferred-count" data-search-type="Discussions"></span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=registrypackages">Packages<span class="d-none js-codesearch-deferred-count" data-search-type="RegistryPackages"></span></a>
                <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=marketplace">Marketplace<span class="ml-1 js-codesearch-count Counter" data-search-type="Marketplace">0</span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=topics">Topics<span class="d-none js-codesearch-deferred-count" data-search-type="Topics"></span></a>
              <a class="UnderlineNav-item flex-shrink-0 selected" href="/search?q=vcrpy&amp;type=wikis">Wikis<span class="ml-1 js-codesearch-count Counter Counter--primary" data-search-type="Wikis">14</span></a>
              <a class="UnderlineNav-item flex-shrink-0" href="/search?q=vcrpy&amp;type=users">Users<span class="d-none js-codesearch-deferred-count" data-search-type="Users"></span></a>
          </div>
        </div>
      </nav>

      <!-- Put sort options in filter area on small screens  -->
  <div class="px-2 pt-2 d-flex d-md-none flex-items-center">
    <label for="codesearch_sort_wikis" class="col-3 text-small px-2">Sort</label>
    <select id="codesearch_sort_wikis" class="col-9 form-select mr-2" data-pjax>
          <option
            value="/search?o=desc&amp;q=vcrpy&amp;s=&amp;type=Wikis"
            selected
          >Best match</option>
          <option
            value="/search?o=desc&amp;q=vcrpy&amp;s=updated&amp;type=Wikis"
            
          >Recently updated</option>
          <option
            value="/search?o=asc&amp;q=vcrpy&amp;s=updated&amp;type=Wikis"
            
          >Least recently updated</option>
    </select>
  </div>


      <div class="mt-3 d-none d-md-block">
        <a href="/search/advanced?q=vcrpy&amp;type=Wikis" class="f6">Advanced search</a>
        <details class="details-reset details-overlay details-overlay-dark d-inline-block">
          <summary class="btn-link f6 ml-3">Cheat sheet</summary>
          <details-dialog class="anim-fade-in fast Box Box--overlay Box-overlay--wide d-flex flex-column">
  <div class="Box-header">
    <button class="Box-btn-octicon btn-octicon float-right" type="button" aria-label="Close dialog" data-close-dialog>
      <svg class="octicon octicon-x" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M3.72 3.72a.75.75 0 011.06 0L8 6.94l3.22-3.22a.75.75 0 111.06 1.06L9.06 8l3.22 3.22a.75.75 0 11-1.06 1.06L8 9.06l-3.22 3.22a.75.75 0 01-1.06-1.06L6.94 8 3.72 4.78a.75.75 0 010-1.06z"></path></svg>
    </button>
    <h3 class="Box-title">Search cheat sheet</h3>
  </div>

  <div class="Box-body overflow-auto markdown-body">
    <p>GitHub’s search supports a variety of different operations. Here’s a quick cheat sheet for some of the common searches.</p>
    <p>For more information, visit our <a href="https://docs.github.com/articles/about-searching-on-github/">search help section</a>.</p>

    <h2>Basic search</h2>
    <table>
      <thead>
        <tr>
          <th>This search</th>
          <th>Finds repositories with…</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>cat stars:&gt;100</td>
          <td>Find cat repositories with greater than 100 stars.</td>
        </tr>
        <tr>
          <td>user:defunkt</td>
          <td>Get all repositories from the user defunkt.</td>
        </tr>
        <tr>
          <td>tom location:"San Francisco, CA"</td>
          <td>Find all tom users in "San Francisco, CA".</td>
        </tr>
        <tr>
          <td>join extension:coffee</td>
          <td>Find all instances of join in code with coffee extension.</td>
        </tr>
        <tr>
          <td>NOT cat</td>
          <td>Excludes all results containing cat.</td>
        </tr>
      </tbody>
    </table>

    <hr>

    <h2>Repository search
      <a href="https://docs.github.com/articles/searching-repositories"><svg aria-label="Help" class="octicon octicon-link-external" viewBox="0 0 16 16" version="1.1" width="16" height="16" role="img"><path fill-rule="evenodd" d="M10.604 1h4.146a.25.25 0 01.25.25v4.146a.25.25 0 01-.427.177L13.03 4.03 9.28 7.78a.75.75 0 01-1.06-1.06l3.75-3.75-1.543-1.543A.25.25 0 0110.604 1zM3.75 2A1.75 1.75 0 002 3.75v8.5c0 .966.784 1.75 1.75 1.75h8.5A1.75 1.75 0 0014 12.25v-3.5a.75.75 0 00-1.5 0v3.5a.25.25 0 01-.25.25h-8.5a.25.25 0 01-.25-.25v-8.5a.25.25 0 01.25-.25h3.5a.75.75 0 000-1.5h-3.5z"></path></svg></a>
    </h2>
    <p>Repository search looks through the projects you have access to on GitHub. You can also filter the results:</p>
    <table>
      <thead>
        <tr>
          <th>This search</th>
          <th>Finds repositories with…</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>cat stars:&gt;100</td>
          <td>Find cat repositories with greater than 100 stars.</td>
        </tr>
        <tr>
          <td>user:defunkt</td>
          <td>Get all repositories from the user defunkt.</td>
        </tr>
        <tr>
          <td>pugs pushed:&gt;2013-01-28</td>
          <td>Pugs repositories pushed to since Jan 28, 2013.</td>
        </tr>
        <tr>
          <td>node.js forks:&lt;200</td>
          <td>Find all node.js repositories with less than 200 forks.</td>
        </tr>
        <tr>
          <td>jquery size:1024..4089</td>
          <td>Find jquery repositories between the sizes 1024 and 4089 kB.</td>
        </tr>
        <tr>
          <td>gitx fork:true</td>
          <td>Repository search includes forks of gitx.</td>
        </tr>
        <tr>
          <td>gitx fork:only</td>
          <td>Repository search returns only forks of gitx.</td>
        </tr>
      </tbody>
    </table>

    <hr>

    <h2>Code search
      <a href="https://docs.github.com/articles/searching-code"><svg aria-label="Help" class="octicon octicon-link-external" viewBox="0 0 16 16" version="1.1" width="16" height="16" role="img"><path fill-rule="evenodd" d="M10.604 1h4.146a.25.25 0 01.25.25v4.146a.25.25 0 01-.427.177L13.03 4.03 9.28 7.78a.75.75 0 01-1.06-1.06l3.75-3.75-1.543-1.543A.25.25 0 0110.604 1zM3.75 2A1.75 1.75 0 002 3.75v8.5c0 .966.784 1.75 1.75 1.75h8.5A1.75 1.75 0 0014 12.25v-3.5a.75.75 0 00-1.5 0v3.5a.25.25 0 01-.25.25h-8.5a.25.25 0 01-.25-.25v-8.5a.25.25 0 01.25-.25h3.5a.75.75 0 000-1.5h-3.5z"></path></svg></a>
    </h2>
    <p>Code search looks through the files hosted on GitHub. You can also filter the results:</p>
    <table>
      <thead>
        <tr>
          <th>This search</th>
          <th>Finds repositories with…</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>install repo:charles/privaterepo</td>
          <td>Find all instances of install in code from the repository charles/privaterepo.</td>
        </tr>
        <tr>
          <td>shogun user:heroku</td>
          <td>Find references to shogun from all public heroku repositories.</td>
        </tr>
        <tr>
          <td>join extension:coffee</td>
          <td>Find all instances of join in code with coffee extension.</td>
        </tr>
        <tr>
          <td>system size:&gt;1000</td>
          <td>Find all instances of system in code of file size greater than 1000kbs.</td>
        </tr>
        <tr>
          <td>examples path:/docs/</td>
          <td>Find all examples in the path /docs/.</td>
        </tr>
        <tr>
          <td>replace fork:true</td>
          <td>Search replace in the source code of forks.</td>
        </tr>
      </tbody>
    </table>

    <hr>

    <h2>Issue search
      <a href="https://docs.github.com/articles/searching-issues"><svg aria-label="Help" class="octicon octicon-link-external" viewBox="0 0 16 16" version="1.1" width="16" height="16" role="img"><path fill-rule="evenodd" d="M10.604 1h4.146a.25.25 0 01.25.25v4.146a.25.25 0 01-.427.177L13.03 4.03 9.28 7.78a.75.75 0 01-1.06-1.06l3.75-3.75-1.543-1.543A.25.25 0 0110.604 1zM3.75 2A1.75 1.75 0 002 3.75v8.5c0 .966.784 1.75 1.75 1.75h8.5A1.75 1.75 0 0014 12.25v-3.5a.75.75 0 00-1.5 0v3.5a.25.25 0 01-.25.25h-8.5a.25.25 0 01-.25-.25v-8.5a.25.25 0 01.25-.25h3.5a.75.75 0 000-1.5h-3.5z"></path></svg></a>
    </h2>
    <p>Issue search looks through issues and pull requests on GitHub. You can also filter the results:</p>
    <table>
      <thead>
        <tr>
          <th>This search</th>
          <th>Finds issues…</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>encoding user:heroku</td>
          <td>Encoding issues across the Heroku organization.</td>
        </tr>
        <tr>
          <td>cat is:open</td>
          <td>Find cat issues that are open.</td>
        </tr>
        <tr>
          <td>strange comments:&gt;42</td>
          <td>Issues with more than 42 comments.</td>
        </tr>
        <tr>
          <td>hard label:bug</td>
          <td>Hard issues labeled as a bug.</td>
        </tr>
        <tr>
          <td>author:mojombo</td>
          <td>All issues authored by mojombo.</td>
        </tr>
        <tr>
          <td>mentions:tpope</td>
          <td>All issues mentioning tpope.</td>
        </tr>
        <tr>
          <td>assignee:rtomayko</td>
          <td>All issues assigned to rtomayko.</td>
        </tr>
        <tr>
          <td>exception created:&gt;2012-12-31</td>
          <td>Created since the beginning of 2013.</td>
        </tr>
        <tr>
          <td>exception updated:&lt;2013-01-01</td>
          <td>Last updated before 2013.</td>
        </tr>
      </tbody>
    </table>

    <hr>

    <h2>User search
      <a href="https://docs.github.com/articles/searching-users"><svg aria-label="Help" class="octicon octicon-link-external" viewBox="0 0 16 16" version="1.1" width="16" height="16" role="img"><path fill-rule="evenodd" d="M10.604 1h4.146a.25.25 0 01.25.25v4.146a.25.25 0 01-.427.177L13.03 4.03 9.28 7.78a.75.75 0 01-1.06-1.06l3.75-3.75-1.543-1.543A.25.25 0 0110.604 1zM3.75 2A1.75 1.75 0 002 3.75v8.5c0 .966.784 1.75 1.75 1.75h8.5A1.75 1.75 0 0014 12.25v-3.5a.75.75 0 00-1.5 0v3.5a.25.25 0 01-.25.25h-8.5a.25.25 0 01-.25-.25v-8.5a.25.25 0 01.25-.25h3.5a.75.75 0 000-1.5h-3.5z"></path></svg></a>
    </h2>
    <p>User search finds users with an account on GitHub. You can also filter the results:</p>
    <table>
      <thead>
        <tr>
          <th>This search</th>
          <th>Finds repositories with…</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td>fullname:"Linus Torvalds"</td>
          <td>Find users with the full name "Linus Torvalds".</td>
        </tr>
        <tr>
          <td>tom location:"San Francisco, CA"</td>
          <td>Find all tom users in "San Francisco, CA".</td>
        </tr>
        <tr>
          <td>chris followers:100..200</td>
          <td>Find all chris users with followers between 100 and 200.</td>
        </tr>
        <tr>
          <td>ryan repos:&gt;10</td>
          <td>Find all ryan users with more than 10 repositories.</td>
        </tr>
      </tbody>
    </table>
  </div>
</details-dialog>

        </details>
      </div>
    </div>

    <div class="col-12 col-md-9 float-left px-2 pt-3 pt-md-0 codesearch-results">
      <div class="px-2">
        


        
  <div class="d-flex flex-column flex-md-row flex-justify-between border-bottom pb-3 position-relative">
    <h3>
    14 wiki results


</h3>

      <details class="d-none d-md-block mt-2 mt-sm-0 details-reset details-overlay select-menu">
        <summary class="btn btn-sm select-menu-button">
          <i>Sort:</i>
          <span data-menu-button>Best match</span>
        </summary>
        <details-menu class="select-menu-modal position-absolute right-0" style="z-index: 99;" aria-label="Sort options">
          <div class="select-menu-header" tabindex="-1">
            <span class="select-menu-title">Sort options</span>
          </div>
          <div class="select-menu-list">
                <a class="select-menu-item" role="menuitemradio" aria-checked="true" href="/search?o=desc&amp;q=vcrpy&amp;s=&amp;type=Wikis" data-pjax="true" data-pjax-preserve-scroll="true">
                  <svg class="octicon octicon-check select-menu-item-icon" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M13.78 4.22a.75.75 0 010 1.06l-7.25 7.25a.75.75 0 01-1.06 0L2.22 9.28a.75.75 0 011.06-1.06L6 10.94l6.72-6.72a.75.75 0 011.06 0z"></path></svg>
                  <span class="select-menu-item-text" data-menu-button-text>Best match</span>
</a>                <a class="select-menu-item" role="menuitemradio" aria-checked="false" href="/search?o=desc&amp;q=vcrpy&amp;s=updated&amp;type=Wikis" data-pjax="true" data-pjax-preserve-scroll="true">
                  <svg class="octicon octicon-check select-menu-item-icon" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M13.78 4.22a.75.75 0 010 1.06l-7.25 7.25a.75.75 0 01-1.06 0L2.22 9.28a.75.75 0 011.06-1.06L6 10.94l6.72-6.72a.75.75 0 011.06 0z"></path></svg>
                  <span class="select-menu-item-text" data-menu-button-text>Recently updated</span>
</a>                <a class="select-menu-item" role="menuitemradio" aria-checked="false" href="/search?o=asc&amp;q=vcrpy&amp;s=updated&amp;type=Wikis" data-pjax="true" data-pjax-preserve-scroll="true">
                  <svg class="octicon octicon-check select-menu-item-icon" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M13.78 4.22a.75.75 0 010 1.06l-7.25 7.25a.75.75 0 01-1.06 0L2.22 9.28a.75.75 0 011.06-1.06L6 10.94l6.72-6.72a.75.75 0 011.06 0z"></path></svg>
                  <span class="select-menu-item-text" data-menu-button-text>Least recently updated</span>
</a>          </div>
        </details-menu>
      </details>
  </div>

        
  <div id="wiki_search_results">
    <div>
        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/pubnub/vcrpy">pubnub/vcrpy</a>

    <div class="f4 text-normal">
      <a title="Home" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:1,&quot;click_id&quot;:72894719,&quot;result&quot;:{&quot;id&quot;:72894719,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk3Mjg5NDcxOQ==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//pubnub/vcrpy/wiki/Home&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="94ce02c7bf783ba405685aedc227b0e4f7ef4f9b92c39b69ceacac6522a1093a" href="/pubnub/vcrpy/wiki/Home">Home</a>
    </div>

  <p class="mb-1 width-full">
    Welcome to the <em>vcrpy</em> wiki!
this is an edit!
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2019-04-10T18:45:30Z" class="no-wrap">Apr 10, 2019</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/tana2034/recipebook">tana2034/recipebook</a>

    <div class="f4 text-normal">
      <a title="pythonで使いたいテスト用ライブラリ" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:2,&quot;click_id&quot;:153921103,&quot;result&quot;:{&quot;id&quot;:153921103,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnkxNTM5MjExMDM=&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//tana2034/recipebook/wiki/python%E3%81%A7%E4%BD%BF%E3%81%84%E3%81%9F%E3%81%84%E3%83%86%E3%82%B9%E3%83%88%E7%94%A8%E3%83%A9%E3%82%A4%E3%83%96%E3%83%A9%E3%83%AA&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="33f37a2f0d04db4c8f33c68c88a36b06035aab76ecc40f75f9504c51cfda3a3f" href="/tana2034/recipebook/wiki/python%E3%81%A7%E4%BD%BF%E3%81%84%E3%81%9F%E3%81%84%E3%83%86%E3%82%B9%E3%83%88%E7%94%A8%E3%83%A9%E3%82%A4%E3%83%96%E3%83%A9%E3%83%AA">pythonで使いたいテスト用ライブラリ</a>
    </div>

  <p class="mb-1 width-full">
    pytest-aiohttp https:&#x2F;&#x2F;aiohttp.readthedocs.io&#x2F;en&#x2F;stable&#x2F; API のテスト
実行されたリクエストをコピーする https:&#x2F;&#x2F;github.com&#x2F;kevin1024&#x2F;<em>vcrpy</em> データベースへの問い合わせをモックする？SQLの正しさは保証できないかも
テスト用DBの作成(コンテナ） 疎結合にするため、依存関係の差し替えが可能なDI pytest-mock
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2019-09-16T13:43:31Z" class="no-wrap">Sep 16, 2019</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/coolcoding/pyvmomi">coolcoding/pyvmomi</a>

    <div class="f4 text-normal">
      <a title="Contributions" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:3,&quot;click_id&quot;:68784024,&quot;result&quot;:{&quot;id&quot;:68784024,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk2ODc4NDAyNA==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//coolcoding/pyvmomi/wiki/Contributions&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="bceeaa7b9abae15ae49121449c398aa18b21c25ce5365035d5262dd4ad4c03ae" href="/coolcoding/pyvmomi/wiki/Contributions">Contributions</a>
    </div>

  <p class="mb-1 width-full">
    ...  provide unit tests to demonstrate the change. See: This Screencast on How To create a Unit Test . Ideally, your change, test, and fixture (<em>VCRPY</em> cassette) will all be encapsulated in a single commit ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2014-09-10T20:45:51Z" class="no-wrap">Sep 10, 2014</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/vmware/pyvmomi">vmware/pyvmomi</a>

    <div class="f4 text-normal">
      <a title="Contributions" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:4,&quot;click_id&quot;:15169689,&quot;result&quot;:{&quot;id&quot;:15169689,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnkxNTE2OTY4OQ==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//vmware/pyvmomi/wiki/Contributions&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="735fc899c4020636e5b6fe058047395793619f4bc1d9698d5c932d2856394cca" href="/vmware/pyvmomi/wiki/Contributions">Contributions</a>
    </div>

  <p class="mb-1 width-full">
    ...  provide unit tests to demonstrate the change. See: This Screencast on How To create a Unit Test . Ideally, your change, test, and fixture (<em>VCRPY</em> cassette) will all be encapsulated in a single commit ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2014-09-10T20:45:51Z" class="no-wrap">Sep 10, 2014</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/mikesplain/pyvmomi">mikesplain/pyvmomi</a>

    <div class="f4 text-normal">
      <a title="Contributions" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:5,&quot;click_id&quot;:69032863,&quot;result&quot;:{&quot;id&quot;:69032863,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk2OTAzMjg2Mw==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//mikesplain/pyvmomi/wiki/Contributions&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="12f240a82b85043b9c0c4f49a5975b427fca30fa7e2346111c535642f3ee2ac9" href="/mikesplain/pyvmomi/wiki/Contributions">Contributions</a>
    </div>

  <p class="mb-1 width-full">
    ...  provide unit tests to demonstrate the change. See: This Screencast on How To create a Unit Test . Ideally, your change, test, and fixture (<em>VCRPY</em> cassette) will all be encapsulated in a single commit ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2014-09-10T20:45:51Z" class="no-wrap">Sep 10, 2014</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/coala/corobo">coala/corobo</a>

    <div class="f4 text-normal">
      <a title="Testing REST API http calls using vcrpy" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:6,&quot;click_id&quot;:90716307,&quot;result&quot;:{&quot;id&quot;:90716307,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk5MDcxNjMwNw==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//coala/corobo/wiki/Testing-REST-API-http-calls-using-vcrpy&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="c47cfb1c73d8cb59042362ce1d3fcba4808ca02bb2a4cac7e49abc40a0410a79" href="/coala/corobo/wiki/Testing-REST-API-http-calls-using-vcrpy">Testing REST API http calls using <em>vcrpy</em></a>
    </div>

  <p class="mb-1 width-full">
    #TODO
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2017-06-08T18:23:09Z" class="no-wrap">Jun 8, 2017</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/hulquest/pyvmomi">hulquest/pyvmomi</a>

    <div class="f4 text-normal">
      <a title="Contributions" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:7,&quot;click_id&quot;:69675026,&quot;result&quot;:{&quot;id&quot;:69675026,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk2OTY3NTAyNg==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//hulquest/pyvmomi/wiki/Contributions&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="558cec83993d892de3b9fe50de6744206434682d0753012ec76510bcb6a1bc26" href="/hulquest/pyvmomi/wiki/Contributions">Contributions</a>
    </div>

  <p class="mb-1 width-full">
    ...  provide unit tests to demonstrate the change. See: This Screencast on How To create a Unit Test . Ideally, your change, test, and fixture (<em>VCRPY</em> cassette) will all be encapsulated in a single commit ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2014-09-10T20:45:51Z" class="no-wrap">Sep 10, 2014</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/anchun570/pyvmomi">anchun570/pyvmomi</a>

    <div class="f4 text-normal">
      <a title="Contributions" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:8,&quot;click_id&quot;:69013661,&quot;result&quot;:{&quot;id&quot;:69013661,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk2OTAxMzY2MQ==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//anchun570/pyvmomi/wiki/Contributions&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="3152a6dba612f578be37ef33c8c2c4c4c0d8c1af6043e9bd1a72d7128918f890" href="/anchun570/pyvmomi/wiki/Contributions">Contributions</a>
    </div>

  <p class="mb-1 width-full">
    ...  provide unit tests to demonstrate the change. See: This Screencast on How To create a Unit Test . Ideally, your change, test, and fixture (<em>VCRPY</em> cassette) will all be encapsulated in a single commit ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2014-09-10T20:45:51Z" class="no-wrap">Sep 10, 2014</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/tealover/pyvmomi">tealover/pyvmomi</a>

    <div class="f4 text-normal">
      <a title="Contributions" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:9,&quot;click_id&quot;:69370449,&quot;result&quot;:{&quot;id&quot;:69370449,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnk2OTM3MDQ0OQ==&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//tealover/pyvmomi/wiki/Contributions&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="c7672fa835e04e39efa21a31e5eb05cde565b33b16345091022c5a21885a7549" href="/tealover/pyvmomi/wiki/Contributions">Contributions</a>
    </div>

  <p class="mb-1 width-full">
    ...  provide unit tests to demonstrate the change. See: This Screencast on How To create a Unit Test . Ideally, your change, test, and fixture (<em>VCRPY</em> cassette) will all be encapsulated in a single commit ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2014-09-10T20:45:51Z" class="no-wrap">Sep 10, 2014</relative-time>
  </div>
</div>

        
<div class="hx_hit-wiki py-4 border-top" >
      <a class="Link--muted text-small text-bold" href="/trp07/messages">trp07/messages</a>

    <div class="f4 text-normal">
      <a title="TODO" data-hydro-click="{&quot;event_type&quot;:&quot;search_result.click&quot;,&quot;payload&quot;:{&quot;page_number&quot;:1,&quot;per_page&quot;:10,&quot;query&quot;:&quot;vcrpy&quot;,&quot;result_position&quot;:10,&quot;click_id&quot;:117625531,&quot;result&quot;:{&quot;id&quot;:117625531,&quot;global_relay_id&quot;:&quot;MDEwOlJlcG9zaXRvcnkxMTc2MjU1MzE=&quot;,&quot;model_name&quot;:&quot;Repository&quot;,&quot;url&quot;:&quot;https://github.com//trp07/messages/wiki/TODO&quot;},&quot;originating_url&quot;:&quot;https://github.com/search?p=1&amp;q=vcrpy&amp;type=Wikis&quot;,&quot;user_id&quot;:null}}" data-hydro-click-hmac="bc9d4426d6c7c0ec54160f3484fac933d264c700231499c90b9abb669cb33d8a" href="/trp07/messages/wiki/TODO">TODO</a>
    </div>

  <p class="mb-1 width-full">
    ...  offline testing.  Such as through <em>VCRpy</em> or Betamax . Actually calling the API in each test, possibly by stored secret credentials using a service like AWS SSM Eventloop Implementation: The Eventloop in the ...
  </p>

  <div class="f6 color-text-secondary updated-at">
    Last updated <relative-time datetime="2018-11-27T08:38:24Z" class="no-wrap">Nov 27, 2018</relative-time>
  </div>
</div>

    </div>
      <div class="paginate-container codesearch-pagination-container">
    <div role="navigation" aria-label="Pagination" class="d-flex d-md-inline-block pagination" data-pjax="true"><span class="previous_page disabled">Previous</span> <em class="current" data-total-pages="2">1</em> <a rel="next" aria-label="Page 2" href="/search?p=2&amp;q=vcrpy&amp;type=Wikis">2</a> <a class="next_page" rel="next" href="/search?p=2&amp;q=vcrpy&amp;type=Wikis">Next</a></div>
  </div>

  </div>

      </div>
    </div>

    <div class="px-3 d-block d-sm-none">
      <a href="/search/advanced?q=vcrpy" class="f6">Advanced search</a>
    </div>
  </div>


      </main>
  </div>

          
<div class="footer container-xl width-full p-responsive" role="contentinfo">
  <div class="position-relative d-flex flex-row-reverse flex-lg-row flex-wrap flex-lg-nowrap flex-justify-center flex-lg-justify-between pt-6 pb-2 mt-6 f6 color-text-secondary border-top color-border-secondary ">
    <ul class="list-style-none d-flex flex-wrap col-12 col-lg-5 flex-justify-center flex-lg-justify-between mb-2 mb-lg-0">
      <li class="mr-3 mr-lg-0">&copy; 2021 GitHub, Inc.</li>
        <li class="mr-3 mr-lg-0"><a href="https://docs.github.com/en/github/site-policy/github-terms-of-service" data-ga-click="Footer, go to terms, text:terms">Terms</a></li>
        <li class="mr-3 mr-lg-0"><a href="https://docs.github.com/en/github/site-policy/github-privacy-statement" data-ga-click="Footer, go to privacy, text:privacy">Privacy</a></li>
        <li class="mr-3 mr-lg-0"><a data-ga-click="Footer, go to security, text:security" href="https://github.com/security">Security</a></li>
        <li class="mr-3 mr-lg-0"><a href="https://www.githubstatus.com/" data-ga-click="Footer, go to status, text:status">Status</a></li>
        <li><a data-ga-click="Footer, go to help, text:Docs" href="https://docs.github.com">Docs</a></li>
    </ul>

    <a aria-label="Homepage" title="GitHub" class="footer-octicon d-none d-lg-block mx-lg-4" href="https://github.com">
      <svg height="24" class="octicon octicon-mark-github" viewBox="0 0 16 16" version="1.1" width="24" aria-hidden="true"><path fill-rule="evenodd" d="M8 0C3.58 0 0 3.58 0 8c0 3.54 2.29 6.53 5.47 7.59.4.07.55-.17.55-.38 0-.19-.01-.82-.01-1.49-2.01.37-2.53-.49-2.69-.94-.09-.23-.48-.94-.82-1.13-.28-.15-.68-.52-.01-.53.63-.01 1.08.58 1.23.82.72 1.21 1.87.87 2.33.66.07-.52.28-.87.51-1.07-1.78-.2-3.64-.89-3.64-3.95 0-.87.31-1.59.82-2.15-.08-.2-.36-1.02.08-2.12 0 0 .67-.21 2.2.82.64-.18 1.32-.27 2-.27.68 0 1.36.09 2 .27 1.53-1.04 2.2-.82 2.2-.82.44 1.1.16 1.92.08 2.12.51.56.82 1.27.82 2.15 0 3.07-1.87 3.75-3.65 3.95.29.25.54.73.54 1.48 0 1.07-.01 1.93-.01 2.2 0 .21.15.46.55.38A8.013 8.013 0 0016 8c0-4.42-3.58-8-8-8z"></path></svg>
</a>
    <ul class="list-style-none d-flex flex-wrap col-12 col-lg-5 flex-justify-center flex-lg-justify-between mb-2 mb-lg-0">
        <li class="mr-3 mr-lg-0"><a href="https://support.github.com" data-ga-click="Footer, go to contact, text:contact">Contact GitHub</a></li>
        <li class="mr-3 mr-lg-0"><a href="https://github.com/pricing" data-ga-click="Footer, go to Pricing, text:Pricing">Pricing</a></li>
      <li class="mr-3 mr-lg-0"><a href="https://docs.github.com" data-ga-click="Footer, go to api, text:api">API</a></li>
      <li class="mr-3 mr-lg-0"><a href="https://services.github.com" data-ga-click="Footer, go to training, text:training">Training</a></li>
        <li class="mr-3 mr-lg-0"><a href="https://github.blog" data-ga-click="Footer, go to blog, text:blog">Blog</a></li>
        <li><a data-ga-click="Footer, go to about, text:about" href="https://github.com/about">About</a></li>
    </ul>
  </div>
  <div class="d-flex flex-justify-center pb-6">
    <span class="f6 color-text-tertiary"></span>
  </div>

  
</div>



  <div id="ajax-error-message" class="ajax-error-message flash flash-error" hidden>
    <svg class="octicon octicon-alert" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M8.22 1.754a.25.25 0 00-.44 0L1.698 13.132a.25.25 0 00.22.368h12.164a.25.25 0 00.22-.368L8.22 1.754zm-1.763-.707c.659-1.234 2.427-1.234 3.086 0l6.082 11.378A1.75 1.75 0 0114.082 15H1.918a1.75 1.75 0 01-1.543-2.575L6.457 1.047zM9 11a1 1 0 11-2 0 1 1 0 012 0zm-.25-5.25a.75.75 0 00-1.5 0v2.5a.75.75 0 001.5 0v-2.5z"></path></svg>
    <button type="button" class="flash-close js-ajax-error-dismiss" aria-label="Dismiss error">
      <svg class="octicon octicon-x" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M3.72 3.72a.75.75 0 011.06 0L8 6.94l3.22-3.22a.75.75 0 111.06 1.06L9.06 8l3.22 3.22a.75.75 0 11-1.06 1.06L8 9.06l-3.22 3.22a.75.75 0 01-1.06-1.06L6.94 8 3.72 4.78a.75.75 0 010-1.06z"></path></svg>
    </button>
    You can’t perform that action at this time.
  </div>

  <div class="js-stale-session-flash flash flash-warn flash-banner" hidden
    >
    <svg class="octicon octicon-alert" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M8.22 1.754a.25.25 0 00-.44 0L1.698 13.132a.25.25 0 00.22.368h12.164a.25.25 0 00.22-.368L8.22 1.754zm-1.763-.707c.659-1.234 2.427-1.234 3.086 0l6.082 11.378A1.75 1.75 0 0114.082 15H1.918a1.75 1.75 0 01-1.543-2.575L6.457 1.047zM9 11a1 1 0 11-2 0 1 1 0 012 0zm-.25-5.25a.75.75 0 00-1.5 0v2.5a.75.75 0 001.5 0v-2.5z"></path></svg>
    <span class="js-stale-session-flash-signed-in" hidden>You signed in with another tab or window. <a href="">Reload</a> to refresh your session.</span>
    <span class="js-stale-session-flash-signed-out" hidden>You signed out in another tab or window. <a href="">Reload</a> to refresh your session.</span>
  </div>
    <template id="site-details-dialog">
  <details class="details-reset details-overlay details-overlay-dark lh-default color-text-primary hx_rsm" open>
    <summary role="button" aria-label="Close dialog"></summary>
    <details-dialog class="Box Box--overlay d-flex flex-column anim-fade-in fast hx_rsm-dialog hx_rsm-modal">
      <button class="Box-btn-octicon m-0 btn-octicon position-absolute right-0 top-0" type="button" aria-label="Close dialog" data-close-dialog>
        <svg class="octicon octicon-x" viewBox="0 0 16 16" version="1.1" width="16" height="16" aria-hidden="true"><path fill-rule="evenodd" d="M3.72 3.72a.75.75 0 011.06 0L8 6.94l3.22-3.22a.75.75 0 111.06 1.06L9.06 8l3.22 3.22a.75.75 0 11-1.06 1.06L8 9.06l-3.22 3.22a.75.75 0 01-1.06-1.06L6.94 8 3.72 4.78a.75.75 0 010-1.06z"></path></svg>
      </button>
      <div class="octocat-spinner my-6 js-details-dialog-spinner"></div>
    </details-dialog>
  </details>
</template>

    <div class="Popover js-hovercard-content position-absolute" style="display: none; outline: none;" tabindex="0">
  <div class="Popover-message Popover-message--bottom-left Popover-message--large Box color-shadow-large" style="width:360px;">
  </div>
</div>




  </body>
</html>
